Package com.saxonica.config

## Class JavaPlatformEE

- java.lang.Object
- - net.sf.saxon.java.JavaPlatform
  - - com.saxonica.config.JavaPlatformPE
    - - com.saxonica.config.JavaPlatformEE

- All Implemented Interfaces:
    `Platform`

      public class JavaPlatformEE
      extends JavaPlatformPE

  Implementation of the Platform class containing methods specific to the Java platform (as distinct from .NET) for Saxon-EE. This is a singleton class with no instance data.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaPlatformEE()` | The constructor is called during the static initialization of the Configuration

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialize​(Configuration config)` | Perform platform-specific initialization of the configuration

    - ### Methods inherited from class com.saxonica.config.JavaPlatformPE

      `addFunctionLibraries, hasICUCollator, hasICUNumberer, makeUcaCollator, registerAllBuiltInObjectModels`

    - ### Methods inherited from class net.sf.saxon.java.JavaPlatform

      `canReturnCollationKeys, compileRegularExpression, getCollationKey, getExternalObjectType, getInstallationDirectory, getParserSource, getPlatformSuffix, getPlatformVersion, isDotNet, isJava, JAXPStaticContextCheck, loadParser, loadParserForXmlFragments, makeCollation, makeGeneratedClassLoader, makeStandardModuleURIResolver, setDefaultSAXParserFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaPlatformEE

          public JavaPlatformEE()

      The constructor is called during the static initialization of the Configuration

  - ### Method Detail

    - #### initialize

          public void initialize​(Configuration config)

      Perform platform-specific initialization of the configuration
      Specified by:
        `initialize` in interface `Platform`
      Overrides:
        `initialize` in class `JavaPlatformPE`
      Parameters:
        `config` - the Saxon Configuration